

import org.apache.poi.POITextExtractor;
import org.apache.poi.extractor.ExtractorFactory;

import java.io.File;

import junit.framework.TestCase;

/**
 * Filter using Poi 3.5 libraries
 */
public class TestUnitPoi35Filter extends TestCase
{
      private String text = "";

      public void testWordEmbeddedObjectClassicWord() throws Exception
      {
         extract(new File("classic_EmbeddedObject_word.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void testWordEmbeddedObjectClassicExcel() throws Exception
      {
         extract(new File("classic_EmbeddedObject_excel.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void testWordEmbeddedObjectClassicPpt() throws Exception
      {
         extract(new File("classic_EmbeddedObject_ppt.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void testWordEmbeddedObjectFormWord() throws Exception
      {
         extract(new File("form_EmbeddedObject_word.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void testWordEmbeddedObjectFormExcel() throws Exception
      {
         extract(new File("form_EmbeddedObject_excel.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void testWordEmbeddedObjectFormPpt() throws Exception
      {
         extract(new File("form_EmbeddedObject_ppt.docx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }


      public void extract(File f) throws Exception
      {
         // Then, extract text
         POITextExtractor extr = ExtractorFactory.createExtractor(f);
         text = extr.getText();
      }

      public String getText()
      {
         return text;
      }

}